Loading...
Searching...
No Matches
XrdSsi::ShMap_Parms Struct Reference

`#include <XrdSsiShMap.hh>`

Collaboration diagram for XrdSsi::ShMap_Parms:

## Public Member Functions

| ShMap_Parms ()
| Constructor suitable for Create().
| ShMap_Parms (int rsz)
| ~ShMap_Parms ()
| Destructor.

## Public Attributes

int | indexSize
| Number of hash table entries to create.
int | maxKeyLen
| Maximum key length.
int | maxKeys
| Maximum expected keys.
int | mode
| Mode setting for the newly created file.
int | options
| Bit or'd ShMop_xxxx options below.
int | reserved
| Reserved for future ABI complaint use.

## Static Public Attributes

static const int | ForResize = 0
| Constructor suitable for Resize() (use ShMap_Parms(ForResize)).
static const int | MultW = 0x88000000
| Bit options that may be or'd into he options member above.
static const int | noMultW = 0x08000000
| Opposite (default for Create).
static const int | noReUse = 0x04000000
| Opposite (default for Create).
static const int | ReUse = 0x44000000
| Reuse map storage.

## Detailed Description

Definition at line 62 of file XrdSsiShMap.hh.

## Constructor & Destructor Documentation

## ShMap_Parms() [1/2]

XrdSsi::ShMap_Parms::ShMap_Parms | ( |  | ) |

inline

Constructor suitable for Create().

Definition at line 87 of file XrdSsiShMap.hh.

: indexSize(16381), maxKeyLen(63), maxKeys(32768),
mode(0640), options(0), reserved(0) {}
XrdSsi::ShMap_Parms::maxKeys
int maxKeys
Maximum expected keys.
Definition XrdSsiShMap.hh:65
XrdSsi::ShMap_Parms::mode
int mode
Mode setting for the newly created file.
Definition XrdSsiShMap.hh:66
XrdSsi::ShMap_Parms::maxKeyLen
int maxKeyLen
Maximum key length.
Definition XrdSsiShMap.hh:64
XrdSsi::ShMap_Parms::reserved
int reserved
Reserved for future ABI complaint use.
Definition XrdSsiShMap.hh:68
XrdSsi::ShMap_Parms::options
int options
Bit or'd ShMop_xxxx options below.
Definition XrdSsiShMap.hh:67
XrdSsi::ShMap_Parms::indexSize
int indexSize
Number of hash table entries to create.
Definition XrdSsiShMap.hh:63

References indexSize, maxKeyLen, maxKeys, mode, options, and reserved.

## ShMap_Parms() [2/2]

XrdSsi::ShMap_Parms::ShMap_Parms | ( | int | rsz | ) |

inline

Definition at line 96 of file XrdSsiShMap.hh.

: indexSize(0), maxKeyLen(0), maxKeys(0),
mode(0640), options(0), reserved(rsz) {}

References indexSize, maxKeyLen, maxKeys, mode, options, and reserved.

## ~ShMap_Parms()

XrdSsi::ShMap_Parms::~ShMap_Parms | ( |  | ) |

inline

Destructor.

Definition at line 103 of file XrdSsiShMap.hh.

{}

## Member Data Documentation

## ForResize

const int XrdSsi::ShMap_Parms::ForResize = 0

static

Constructor suitable for Resize() (use ShMap_Parms(ForResize)).

Triggers initialization for Resize

Definition at line 94 of file XrdSsiShMap.hh.

Referenced by XrdSsi::ShMap< T >::Resize().

## indexSize

int XrdSsi::ShMap_Parms::indexSize

Number of hash table entries to create.

Definition at line 63 of file XrdSsiShMap.hh.

Referenced by ShMap_Parms(), ShMap_Parms(), XrdSsi::ShMap< T >::Create(), and XrdSsi::ShMap< T >::Resize().

## maxKeyLen

int XrdSsi::ShMap_Parms::maxKeyLen

Maximum key length.

Definition at line 64 of file XrdSsiShMap.hh.

Referenced by ShMap_Parms(), ShMap_Parms(), XrdSsi::ShMap< T >::Create(), and XrdSsi::ShMap< T >::Resize().

## maxKeys

int XrdSsi::ShMap_Parms::maxKeys

Maximum expected keys.

Definition at line 65 of file XrdSsiShMap.hh.

Referenced by ShMap_Parms(), ShMap_Parms(), XrdSsi::ShMap< T >::Create(), and XrdSsi::ShMap< T >::Resize().

## mode

int XrdSsi::ShMap_Parms::mode

Mode setting for the newly created file.

Definition at line 66 of file XrdSsiShMap.hh.

Referenced by ShMap_Parms(), ShMap_Parms(), XrdSsi::ShMap< T >::Create(), and XrdSsi::ShMap< T >::Resize().

## MultW

const int XrdSsi::ShMap_Parms::MultW = 0x88000000

static

Bit options that may be or'd into he options member above.

Multiple external writers

Definition at line 75 of file XrdSsiShMap.hh.

Referenced by XrdSsi::ShMap< T >::Create(), and XrdSsi::ShMap< T >::Resize().

## noMultW

const int XrdSsi::ShMap_Parms::noMultW = 0x08000000

static

Opposite (default for Create).

Definition at line 77 of file XrdSsiShMap.hh.

Referenced by XrdSsi::ShMap< T >::Create(), and XrdSsi::ShMap< T >::Resize().

## noReUse

const int XrdSsi::ShMap_Parms::noReUse = 0x04000000

static

Opposite (default for Create).

Definition at line 81 of file XrdSsiShMap.hh.

Referenced by XrdSsi::ShMap< T >::Create(), and XrdSsi::ShMap< T >::Resize().

## options

int XrdSsi::ShMap_Parms::options

Bit or'd ShMop_xxxx options below.

Definition at line 67 of file XrdSsiShMap.hh.

Referenced by ShMap_Parms(), ShMap_Parms(), XrdSsi::ShMap< T >::Create(), and XrdSsi::ShMap< T >::Resize().

## reserved

int XrdSsi::ShMap_Parms::reserved

Reserved for future ABI complaint use.

Definition at line 68 of file XrdSsiShMap.hh.

Referenced by ShMap_Parms(), and ShMap_Parms().

## ReUse

const int XrdSsi::ShMap_Parms::ReUse = 0x44000000

static

Reuse map storage.

Definition at line 79 of file XrdSsiShMap.hh.

Referenced by XrdSsi::ShMap< T >::Create(), and XrdSsi::ShMap< T >::Resize().

The documentation for this struct was generated from the following file:

- XrdSsiShMap.hh